package com.example.tasks.navigation


sealed class Screen(val route:String) {
    object Start: Screen("start")
    object SignIn:Screen("sinIn")
    object EnterOTP: Screen("enterOTP")
    object CreateProfile: Screen("createProfile")
    object Profile:Screen("profile")
    object Load:Screen("load")

    fun withArg(vararg args: String): String {
        return buildString {
            append(route)
            args.forEach { arg ->
                append("/$arg")
            }
        }
    }
}